I feel your pain....At this point it seems like all of the constructive advice has been given.
[sarcasm]I've pasted a screen shot showing the hassle I have to go through to get this done in Carlson software.
Real PIA.
[/sarcasm]
In mine, which I have no idea if this is standard or not for Civil 3D, I have a menu at the top called "Inquiry". I click it and go down to Area and then I can click an object or snap on end points of lines around the figure and I get SQ Ft and Acres.
My Civil 3d was set up by someone who understood Civil 3D. I work in it on average of about 2 hours a week.
> My Civil 3d was set up by someone who understood Civil 3D.
This.
My experience after working with C3D for the last 18 months is that, in general, the software is designed to be used by firms large enough to employ a full time dedicated cad manager.
We are finally getting somewhere. Thank you, Ryan.
Found it under Analyze, Inquiry, click on the Area icon. But, on mine I still get sqft instead of acres. Now to find that elusive setting that would fix it...
Donnie84 had it, very simple steps.
What I am talking about is quick and simple, on-the-fly type calcs that give acreage units instead of sqft.
I can type AREA, click on a number of points and/or endpoints of a figure, and in a matter of a few seconds (depending on the number of clicks) have the area. That should be the end of it. But no. Then I have to divide by 43560 on a calculator. The total time to find the acreage for an odd shaped 4 corner lot is still only about 15 secs. Can using Parcel to find acreage beat that?
Inquiry is the answer. That is how I have done it in Land Desktop for years. But in my LDD the units were in acres. My C3D is giving me sqft. But based on what Ryan said, there is a setting somewhere for acre units.
Just curious!
How does your program report areas with reverse curves.
For example the property in the image below.
(Distances in feet rounded to 2 places - Bearings to 5 seconds).
My program tells me:-
10237.32 sq.ft, 0.2350 Acres or 0A 0R 37.6P (if you are that old)!
You might get slight differences due to rounding.
BG,
This is what I got:
Dave
;;-------------------------ACRES--------------------------------;;
;;This lisp routine calculates the acreage of a closed polyline ;;
;;and then places that number on the drawing at the location ;;
;;of your choice and uses "STANDARD" text style with a ;;
;;height you provide. Enjoy ;;
;;Mark S. Thomas (markst@gte.net) ;;
;;-------------------------ACRES--------------------------------;;
(defun c:ACRES (/ ac sqft acres pt1 th)
(setq ac (entsel "n Pick area polyline to process..." ))
(command "area" "o" ac )
(setq sqft (getvar "area"))
(setq acres (/ SQFT 43560.00000000000000))
(setq acres (rtos acres 2 3 ))
(setq acres (strcat acres " ACRES ±"))
(setq pt1 (getpoint "nPick start point for your text: "))
(setq th (getreal "nEnter Text Size :"))
(command "text" "s" "ROMANS" pt1 th "E" acres)
(prompt "nProgram complete.")
(princ)
)
You could print out the coordinates and then calculate using the Double Meridian Distance method.
If everything is drawn right my method can be done less than 5 seconds.
When I find the setting(s) for Inquiry that will calc area in acres it will take less than 5 seconds, without anything being "drawn right".
Parcels are probably a wonderful thing for certain applications. But, to me, this clearly isn't one of them.
Let go of Parcels for a minute and lets find the units setting for Inquiry. It could be a liberating experience for some of you guys.
I like to use lines, arcs, and polylines when listing acres. Picking points leaves subject to error. Especially when a Survey gets congested. The closed vectors that you want an area on must be drawn correct to list a correct acreage. So when the closed figure is drawn correct, its super easy to hatch.
As far as having the inquiry area command. Listing acres is not possible. It will only list the current linear units of the drawing squared. There is no linear unit for acre. Notice after doing the area command, it does not list what type of units, it only knows the units of the drawing. I suggest looking for a lisp routine that uses the area command and proceeds to convert it to acres by dividing the area by 43560. Personally I use the hatch command because its quick, easy, and correct, but I could do the same thing with the area command but it requires more steps, with me manually typing numbers in a calculator. Auto cad reports true values to the Nth decimal place and does a better calculation then me rounding to 4 decimal places or so. Thus, its less steps for me doing the hatch method rather than the area command.
Hope this help.
This works great, returns square feet and acres to the command line:
(defun c:ACRE (/ )
(setq pentity (car(entsel "nPick polyline for area: ")))
(command "area" "e" pentity)
(setq area1 (getvar "area"))
(setq acreage (/ area1 43560.0))
(setq acre (rtos acreage 2 2))
(setq art (strcat " = " acre " Acres" (chr 13)))
(setq sqrft (strcat "Area = " (rtos area1 2 0) " SqFt"))
(setq art_sqrft (strcat sqrft art))
(PROMPT art_sqrft)
(princ)
)
Try drawing a closed 2d polyline around the area. right click PROPERTIES. A box with several lines of information will appear. If my memory serves me correctly, there will be a line that gives area in the current drawing units. clicking the area value should cause a calculator symbol to appear in that line. clicking on the calculator symbol will open a calculator with a convertor in it. there is a way to get the conversion without having to type. I dont have C3D on here. I think you have to play with clicking the area value or some thing to get the conversion but once you get it figured out, then it becomes fairly easy. I have done this quite often when working for clients.